#include<iostream>
#include<conio.h>
#include<string.h>
#include<vector>
using namespace std;


int main()
{
	int a, b, c, d, e, f;
	string s;
	cin >> a;
	cin >> b;
	cin >> c;
	int max = 0;
	int i = 0;
	d = a;
	e = b;
	f = c;
	
	
	while(d>0 && e>0 && f>0)
	{
		if(a/10 == 0 && a > max)
		{
			max = a;
		}
		if(b/10 == 0 && b > max)
		{
			max = b;
		}
		if(c/10 == 0 && c > max)
		{
			max = c;
		}
		else
		{
			
		d = d / 10;
		e = e / 10;
		f = f / 10;
		if(d > max)
			{
				max = a;
			}
			if(e > max)
			{
				max = b;
			}
			if(f > max)
			{
				max = c;
			}
			
		
	}
	}
	

	
	

	

	

	if (max == a)
	{
		if (b > c)
		{
			cout << a << b << c;
		}
		else
		{
			cout << a << c << b;
		}
	}
	if (max == b)
	{
		if (a > c)
		{
			cout << b << a << c;
		}
		else
		{
			cout << b << c << a;
		}
	}






	if (max == c)
	{
		if ( a> b)
		{
			cout << c << a << b;
		}
		else
		{
			cout << c << b << a;
		}
	}

	



}